summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2018-08-29 14:41:00 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2018-08-29 14:41:08 +0200
commit1c982e38458dedd7e597597e066e3ba223f9b515 (patch)
tree4d59127142e0b53a511babeb0f6b1a20cedbe30f /net-ftp
parentwww-apps/owncloud: 10.0.9 bump (diff)
downloadgentoo-1c982e38458dedd7e597597e066e3ba223f9b515.tar.gz
gentoo-1c982e38458dedd7e597597e066e3ba223f9b515.tar.bz2
gentoo-1c982e38458dedd7e597597e066e3ba223f9b515.zip
net-ftp/filezilla: 3.36.0 bump
Remove some unused eclasses in inherit line Package-Manager: Portage-2.3.48, Repoman-2.3.10
Diffstat (limited to 'net-ftp')
-rw-r--r--net-ftp/filezilla/Manifest1
-rw-r--r--net-ftp/filezilla/filezilla-3.36.0.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/net-ftp/filezilla/Manifest b/net-ftp/filezilla/Manifest
index 1479bf2a827..07d93cb0461 100644
--- a/net-ftp/filezilla/Manifest
+++ b/net-ftp/filezilla/Manifest
@@ -1,3 +1,4 @@
DIST FileZilla_3.34.0_src.tar.bz2 4869893 BLAKE2B 43f017a833191126526195636607b7ba4ebc73859f48745126ddd284940da90d692e0bf2373096f5262e6ebe2e6655d9cf2dbbf4b0aa6299730f47b1f04c63e8 SHA512 577118bd053c3aedbe77082b138c30abc6a759b20ea905abc4e9bef965cbca3cf73023186c389ded7d906b7cf76e4f3d4462c00fae62c7b1ae695ad171c88764
DIST FileZilla_3.35.1_src.tar.bz2 4963273 BLAKE2B dd7a30bf6916d7b2a6db0733856c8241a5363f40e8d089975a06a683b13c32dbad6fd009a3ec526d9f0c7f4268e277576a5eac878b55f4f5ddd43ebb563d6632 SHA512 e039a00ac64b6d1b99f50a5f94268a7e11c839e75465f76ff865700071aa0ee7733c89a5f5b8e16ef5deb3cd1b30873b48c3c8a42a73ed9a6b6a05e3e35cf2a1
DIST FileZilla_3.35.2_src.tar.bz2 4968449 BLAKE2B 1c06b0a67177fc2b91e037eef02c0835702f79d9a36f9af1eed27a4999986db2a351c073e866cb0359c6b415f737a07344619741018537c0e5a59c81c589c48c SHA512 dfd962cc1ed86b4198c339560482d722ca6fa81dfeaae47dbdb8867c7c4ce516cecff393e9bda7abf2148e32f6b423ed76296346e22570db1f292de06c5bc0b8
+DIST FileZilla_3.36.0_src.tar.bz2 4981429 BLAKE2B f297671ead361b4b1b1063bca2c78ad1e8c029f9eb3eae2a6bd4bd56c794cfb4e9b70ee4cf9addda60635e12d7e37cf42b34763316d73beab37a24ab94eb03d8 SHA512 d5c9ebd49944b3f2b55f5b494113ffde13b61f5d98e3be0507731e0dfc0d18f1f36ec5d4bf0f9ce2bbcf9d9b91b92b93b192739fb89c99c6cced80e131b58322
diff --git a/net-ftp/filezilla/filezilla-3.36.0.ebuild b/net-ftp/filezilla/filezilla-3.36.0.ebuild
new file mode 100644
index 00000000000..92b2be0c761
--- /dev/null
+++ b/net-ftp/filezilla/filezilla-3.36.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER="3.0-gtk3"
+
+inherit autotools flag-o-matic gnome2-utils wxwidgets
+
+MY_PV=${PV/_/-}
+MY_P="FileZilla_${MY_PV}"
+
+DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
+HOMEPAGE="https://filezilla-project.org/"
+SRC_URI="https://dl2.cdn.filezilla-project.org/client/${MY_P}_src.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="dbus nls test"
+
+# pugixml 1.7 minimal dependency is for c++11 proper configuration
+RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
+ >=dev-libs/nettle-3.1:=
+ >=dev-db/sqlite-3.7
+ >=dev-libs/libfilezilla-0.13.0
+ >=dev-libs/pugixml-1.7
+ >=net-libs/gnutls-3.4.15
+ >=x11-libs/wxGTK-3.0.4:${WX_GTK_VER}[X]
+ x11-misc/xdg-utils
+ dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=sys-devel/libtool-1.4
+ nls? ( >=sys-devel/gettext-0.11 )
+ test? ( >=dev-util/cppunit-1.13.0 )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+DOCS=(AUTHORS ChangeLog NEWS )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.22.1-debug.patch
+)
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ if ! test-flag-CXX -std=c++14; then
+ eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
+ eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
+ eerror "to gcc-4.9 or an equivalent version supporting C++14."
+ die "Currently active compiler does not support -std=c++14"
+ fi
+ fi
+}
+
+src_prepare() {
+ setup-wxwidgets
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_with dbus) $(use_enable nls locales) \
+ --with-pugixml=system \
+ --disable-autoupdatecheck
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}